org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.VariableReferenceElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.VariableReferenceElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.VariableReferenceElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableReferenceElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Assignment` | `getAggregatorAssignment_0_0()`
    `org.eclipse.xtext.Assignment` | `getAggregatorAssignment_1()`
    `org.eclipse.xtext.Keyword` | `getAggregatorNumberSignKeyword_0_0_0()`
    `org.eclipse.xtext.Keyword` | `getAggregatorNumberSignKeyword_1_0()`
    `org.eclipse.xtext.Alternatives` | `getAlternatives()`
    `org.eclipse.xtext.Group` | `getGroup_0()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Assignment` | `getVarAssignment_0_1()`
    `org.eclipse.xtext.RuleCall` | `getVarIDTerminalRuleCall_0_1_0()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableReferenceElements

          public VariableReferenceElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getAlternatives

          public org.eclipse.xtext.Alternatives getAlternatives()

    - #### getGroup_0

          public org.eclipse.xtext.Group getGroup_0()

    - #### getAggregatorAssignment_0_0

          public org.eclipse.xtext.Assignment getAggregatorAssignment_0_0()

    - #### getAggregatorNumberSignKeyword_0_0_0

          public org.eclipse.xtext.Keyword getAggregatorNumberSignKeyword_0_0_0()

    - #### getVarAssignment_0_1

          public org.eclipse.xtext.Assignment getVarAssignment_0_1()

    - #### getVarIDTerminalRuleCall_0_1_0

          public org.eclipse.xtext.RuleCall getVarIDTerminalRuleCall_0_1_0()

    - #### getAggregatorAssignment_1

          public org.eclipse.xtext.Assignment getAggregatorAssignment_1()

    - #### getAggregatorNumberSignKeyword_1_0

          public org.eclipse.xtext.Keyword getAggregatorNumberSignKeyword_1_0()